Skip to main content
GET
/
colas
/
{ttb_id}
Get COLA details
curl --request GET \
  --url https://app.colacloud.us/api/v1/colas/{ttb_id} \
  --header 'X-API-Key: <api-key>'
{
  "data": {
    "ttb_id": "<string>",
    "brand_name": "<string>",
    "product_name": "<string>",
    "product_type": "wine",
    "class_name": "<string>",
    "origin_name": "<string>",
    "domestic_or_imported": "domestic",
    "permit_number": "<string>",
    "application_type": "<string>",
    "application_status": "<string>",
    "application_date": "2023-12-25",
    "approval_date": "2023-12-25",
    "expiration_date": "2023-12-25",
    "abv": 123,
    "volume": 123,
    "volume_unit": "<string>",
    "llm_category": "<string>",
    "llm_category_path": "<string>",
    "image_count": 123,
    "main_image_url": "<string>",
    "class_id": "<string>",
    "origin_id": "<string>",
    "latest_update_date": "2023-12-25",
    "is_distinctive_container": true,
    "for_distinctive_capacity": "<string>",
    "is_resubmission": true,
    "for_resubmission_ttb_id": "<string>",
    "for_exemption_state": "<string>",
    "address_recipient": "<string>",
    "address_zip_code": "<string>",
    "address_state": "<string>",
    "grape_varietals": [
      "<string>"
    ],
    "wine_vintage_year": 123,
    "wine_appellation": "<string>",
    "llm_container_type": "<string>",
    "llm_product_description": "<string>",
    "llm_brand_established_year": 123,
    "llm_tasting_note_flavors": [
      "<string>"
    ],
    "llm_artwork_credit": "<string>",
    "llm_wine_designation": "<string>",
    "llm_beer_ibu": "<string>",
    "llm_beer_hops_varieties": [
      "<string>"
    ],
    "llm_liquor_aged_years": 123,
    "llm_liquor_finishing_process": "<string>",
    "llm_liquor_grains": [
      "<string>"
    ],
    "barcode_type": "<string>",
    "barcode_value": "<string>",
    "qrcode_url": "<string>",
    "has_front_image": true,
    "has_back_image": true,
    "has_neck_image": true,
    "has_strip_image": true,
    "images": [
      {
        "ttb_image_id": "<string>",
        "image_index": 123,
        "container_position": "front",
        "extension_type": "<string>",
        "width_pixels": 123,
        "height_pixels": 123,
        "width_inches": 123,
        "height_inches": 123,
        "file_size_mb": 123,
        "barcode_count": 123,
        "qrcode_count": 123,
        "image_url": "<string>"
      }
    ],
    "barcodes": [
      {
        "barcode_type": "<string>",
        "barcode_value": "<string>",
        "ttb_image_id": "<string>",
        "width_pixels": 123,
        "height_pixels": 123,
        "orientation": "horizontal",
        "relative_image_position": "<string>"
      }
    ]
  }
}

Authorizations

X-API-Key
string
header
required

API key passed in the X-API-Key header

Path Parameters

ttb_id
string
required

The unique TTB identifier for the COLA

Response

Successful response

data
object

Detailed view of a COLA (includes all fields, images, and barcodes)